#
# spec file for package farsi-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           farsi-fonts
Version:        0.4
Release:        192.27
Summary:        A Collection of Free Persian OpenType Fonts
License:        GPL-2.0+
Group:          System/X11/Fonts
Url:            http://www.farsiweb.info/wiki/Products/PersianFonts
Source0:        http://www.farsiweb.info/font/farsifonts-0.4.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
Provides:       scalable-font-fa
Provides:       locale(fa)
# FIXME: This causes a rpmlint warning; change <= to < once here's a new upstream version
Obsoletes:      farsifonts <= %{version}
Provides:       farsifonts = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains collection of free Persian OpenType fonts.

%prep
%setup -T -c %{name} -n %{name}
unzip $RPM_SOURCE_DIR/farsifonts-%{version}
chmod -R a+r *

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
for i in */*.ttf
do
    install -c -m 644 $i %{buildroot}%{_ttfontsdir}
done

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc farsifonts*/COPYING
%doc farsifonts*/NEWS
%{_ttfontsdir}

%changelog
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Mar 14 2012 cfarrell@suse.com
- license update: GPL-2.0+
  See COPYING
* Wed Feb  1 2012 pgajdos@suse.com
- renamed to farsi-fonts
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Thu Mar 29 2007 dmueller@suse.de
- update BuildRequires
* Wed Aug  9 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/truetype
  (openSUSE 10.2 will use X11R7).
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(fa)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 13 2005 mfabian@suse.de
- new package: farsifonts version 0.4
